* [gentoo-commits] repo/gentoo:master commit in: net-dialup/dwun/files/, net-dialup/dwun/
@ 2016-04-28 22:00 Austin English
0 siblings, 0 replies; 2+ messages in thread
From: Austin English @ 2016-04-28 22:00 UTC (permalink / raw
To: gentoo-commits
commit: 15b2f7e60003b468a57af486278c7a396b9ca4a2
Author: Austin English <wizardedit <AT> gentoo <DOT> org>
AuthorDate: Thu Apr 28 21:19:33 2016 +0000
Commit: Austin English <wizardedit <AT> gentoo <DOT> org>
CommitDate: Thu Apr 28 21:59:32 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=15b2f7e6
net-dialup/dwun: use #!/sbin/openrc-run instead of #!/sbin/runscript
Gentoo-Bug: https://bugs.gentoo.org/573846
Package-Manager: portage-2.2.26
net-dialup/dwun/dwun-0.96e-r4.ebuild | 46 ++++++++++++++++++++++++++++++++++++
net-dialup/dwun/files/dwun | 4 ++--
2 files changed, 48 insertions(+), 2 deletions(-)
diff --git a/net-dialup/dwun/dwun-0.96e-r4.ebuild b/net-dialup/dwun/dwun-0.96e-r4.ebuild
new file mode 100644
index 0000000..60b23b9
--- /dev/null
+++ b/net-dialup/dwun/dwun-0.96e-r4.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit toolchain-funcs
+
+DESCRIPTION="Dialer Without a Useful Name (DWUN)"
+HOMEPAGE="http://dwun.sourceforge.net/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+
+LICENSE="MIT GPL-2" # GPL-2 only for init script
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+DOCS=( AUTHORS ChangeLog QUICKSTART README TODO UPGRADING )
+
+src_prepare() {
+ sed -i -e "s:TODO QUICKSTART README UPGRADING ChangeLog COPYING AUTHORS::" Makefile.in || die
+ tc-export CC
+
+ eapply_user
+}
+
+src_configure() {
+ econf --with-docdir="share/doc/${PF}"
+}
+
+src_install() {
+ default
+
+ insinto /etc
+ newins doc/examples/complete-rcfile dwunrc
+ newins debian/dwunauth dwunauth
+ newinitd "${FILESDIR}/dwun" dwun
+}
+
+pkg_postinst() {
+ elog
+ elog 'Make sure you have "net-dialup/ppp" merged if you intend to use dwun'
+ elog "to control a standard PPP network link."
+ elog "See /usr/share/doc/${P}/QUICKSTART for instructions on"
+ elog "configuring dwun."
+ elog
+}
diff --git a/net-dialup/dwun/files/dwun b/net-dialup/dwun/files/dwun
index a645220..d076f9e 100644
--- a/net-dialup/dwun/files/dwun
+++ b/net-dialup/dwun/files/dwun
@@ -1,5 +1,5 @@
-#!/sbin/runscript
-# Copyright 1999-2014 Gentoo Foundation
+#!/sbin/openrc-run
+# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
^ permalink raw reply related [flat|nested] 2+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: net-dialup/dwun/files/, net-dialup/dwun/
@ 2020-05-17 11:09 Jeroen Roovers
0 siblings, 0 replies; 2+ messages in thread
From: Jeroen Roovers @ 2020-05-17 11:09 UTC (permalink / raw
To: gentoo-commits
commit: e432f4606c7ec51dfce00b648b76fdab8263ebd6
Author: Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Sun May 17 11:08:20 2020 +0000
Commit: Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Sun May 17 11:09:19 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e432f460
net-dialup/dwun: Fix building with CFLAGS=-fno-common
Package-Manager: Portage-2.3.99, Repoman-2.3.22
Closes: https://bugs.gentoo.org/706982
Signed-off-by: Jeroen Roovers <jer <AT> gentoo.org>
net-dialup/dwun/dwun-0.96e-r4.ebuild | 4 ++-
net-dialup/dwun/files/dwun-0.96e-fno-common.patch | 41 +++++++++++++++++++++++
2 files changed, 44 insertions(+), 1 deletion(-)
diff --git a/net-dialup/dwun/dwun-0.96e-r4.ebuild b/net-dialup/dwun/dwun-0.96e-r4.ebuild
index fbc86601b41..aa99a75ba5e 100644
--- a/net-dialup/dwun/dwun-0.96e-r4.ebuild
+++ b/net-dialup/dwun/dwun-0.96e-r4.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@@ -16,6 +16,8 @@ KEYWORDS="~amd64 x86"
DOCS=( AUTHORS ChangeLog QUICKSTART README TODO UPGRADING )
src_prepare() {
+ eapply "${FILESDIR}"/${P}-fno-common.patch
+
sed -i -e "s:TODO QUICKSTART README UPGRADING ChangeLog COPYING AUTHORS::" Makefile.in || die
tc-export CC
diff --git a/net-dialup/dwun/files/dwun-0.96e-fno-common.patch b/net-dialup/dwun/files/dwun-0.96e-fno-common.patch
new file mode 100644
index 00000000000..c84c027e42d
--- /dev/null
+++ b/net-dialup/dwun/files/dwun-0.96e-fno-common.patch
@@ -0,0 +1,41 @@
+--- a/src/main.c
++++ b/src/main.c
+@@ -37,11 +37,11 @@
+ /* extern'ed in main.h */
+ struct settings set;
+ char *error_messages;
++enum MYLOG_OPTIONS MYLOG_OPTIONS = MYLOG_STDERR;
+
+ int main(int argc, char *argv[])
+ {
+ char orig_work_dir[MAXPATHLEN];
+- MYLOG_OPTIONS = MYLOG_STDERR;
+ umask(022); /* -rw-r--r- */
+
+ if (!(error_messages = xmalloc(MAX_LOG_LENGTH)))
+--- a/src/shared.h
++++ b/src/shared.h
+@@ -56,10 +56,11 @@
+ char *external; /* named pipe (optional) */
+ };
+
+-enum {
++enum MYLOG_OPTIONS {
+ MYLOG_STDERR,
+ MYLOG_STDERR_DATEPID,
+ MYLOG_SYSLOG
+-} MYLOG_OPTIONS;
++};
++extern enum MYLOG_OPTIONS MYLOG_OPTIONS;
+
+ #endif
+--- a/src/util.c
++++ b/src/util.c
+@@ -26,6 +26,7 @@
+ #include "util.h"
+ #include "child.h"
+ #include "main.h"
++#include "shared.h"
+
+ static bool create_file(char *file, int options);
+ static void print_date_pid(void);
^ permalink raw reply related [flat|nested] 2+ messages in thread
end of thread, other threads:[~2020-05-17 11:09 UTC | newest]
Thread overview: 2+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2020-05-17 11:09 [gentoo-commits] repo/gentoo:master commit in: net-dialup/dwun/files/, net-dialup/dwun/ Jeroen Roovers
-- strict thread matches above, loose matches on Subject: below --
2016-04-28 22:00 Austin English
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox